#if !defined(AFX_MYRULESTATIC_H__FDF82649_3570_42E7_8C33_3D0EC29F41EC__INCLUDED_)
#define AFX_MYRULESTATIC_H__FDF82649_3570_42E7_8C33_3D0EC29F41EC__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyRuleStatic.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CMyRuleStatic window

class CMyRuleStatic : public CStatic
{
// Construction
public:
	CMyRuleStatic();
    void DrawRules(HDC hDC);
	void ClearArea();
	void DrawArea(CPoint begin);
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMyRuleStatic)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMyRuleStatic();

	// Generated message map functions
protected:
	//{{AFX_MSG(CMyRuleStatic)
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg int  OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnNetClientMsg(WPARAM wParam,LPARAM lParam);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
protected:
	HCURSOR m_hCursorCross;
	CPen    m_pen_object_area;
	CBrush  m_brush_rule_region;
public:
	CRect m_objectarea;
	LONG  m_hchann;
	BOOL  m_bSetArea;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYRULESTATIC_H__FDF82649_3570_42E7_8C33_3D0EC29F41EC__INCLUDED_)
